Skip to main content
GET
/
2025-09
/
orders
List all Orders
curl --request GET \
  --url https://public-api.stora.co/2025-09/orders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/orders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "orders": [
    {
      "id": "order_942ae99a1fdc940e",
      "billing_period": "monthly",
      "contact": {
        "id": "con_0ac0514ed0711462"
      },
      "contract_template": {
        "id": "ctpl_33ae8d0b2b371ba2"
      },
      "coupon": {
        "id": "cpn_a26d0d4c582740c1"
      },
      "created_at": "2025-02-22T14:36:00Z",
      "email_notifications": {
        "booking_confirmation": true,
        "move_in_day": true,
        "payment_details": false
      },
      "line_items": [
        {
          "id": "olitm_1001cbd3d5fec937"
        },
        {
          "id": "olitm_260799c6b6b1a274"
        },
        {
          "id": "olitm_47eba7938308c71d"
        },
        {
          "id": "olitm_b202613e81c9101e"
        }
      ],
      "metadata": {},
      "one_time_total": {
        "amount": 201998,
        "currency": "GBP",
        "formatted": "£2,019.98"
      },
      "one_time_total_excluding_tax": {
        "amount": 201998,
        "currency": "GBP",
        "formatted": "£2,019.98"
      },
      "payment_method": "card",
      "payment_url": null,
      "purchase_order_number": "PO987654321",
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "source": "public_api",
      "starts_at": "2025-02-23T14:41:00Z",
      "status": "draft",
      "subscription": null,
      "subtotal": {
        "amount": 11998,
        "currency": "GBP",
        "formatted": "£119.98"
      },
      "tax": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "tenancy": null,
      "total": {
        "amount": 5999,
        "currency": "GBP",
        "formatted": "£59.99"
      },
      "total_discount": {
        "amount": 5999,
        "currency": "GBP",
        "formatted": "£59.99"
      },
      "total_excluding_tax": {
        "amount": 5999,
        "currency": "GBP",
        "formatted": "£59.99"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "order_9b4d7b10f6b3e0d4",
      "billing_period": null,
      "contact": null,
      "contract_template": null,
      "coupon": null,
      "created_at": "2025-02-22T14:31:00Z",
      "email_notifications": {
        "booking_confirmation": true,
        "move_in_day": true,
        "payment_details": false
      },
      "line_items": [],
      "metadata": {},
      "one_time_total": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "one_time_total_excluding_tax": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "payment_method": "card",
      "payment_url": null,
      "purchase_order_number": null,
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "source": "public_api",
      "starts_at": null,
      "status": "draft",
      "subscription": null,
      "subtotal": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "tax": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "tenancy": null,
      "total": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "total_discount": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "total_excluding_tax": {
        "amount": 0,
        "currency": "GBP",
        "formatted": "£0.00"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 2,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
contact_id
string[]

Filter by Contact IDs. Supports multiple values separated by a comma.

site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

status
enum<string>[]

Filter by status. Supports multiple values separated by a comma.

Available options:
draft,
finalized,
completed,
abandoned
source
enum<string>[]

Filter by source. Supports multiple values separated by a comma.

Available options:
backoffice,
storefront,
storefront_multi_step,
import,
public_api,
unspecified
billing_period
enum<string>[]

Filter by billing period. Supports multiple values separated by a comma.

Available options:
monthly,
weekly,
every_four_weeks,
every_three_months,
every_six_months,
yearly,
one_time
created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

starts_after
string<date-time>

Filters results to starts after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

starts_before
string<date-time>

Filters results to starts before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

metadata
object

Filter by metadata. Use metadata[key]=value to filter by specific metadata keys.

Example:
{}

Response

200 - application/json

list of orders

List of Orders

orders
object[]
meta
object